firefox-ubuntu-it-menu uses wrong version of mozilla-devscripts

Bug #425784 reported by Jonathan Aquilina
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-it-menu (Ubuntu)
Fix Released
Wishlist
Andrea Veri

Bug Description

Use new features of mozilla-devscripts 0.14/0.15
- simplify debian/rules
- reduce Depends to a simple ${xpi:Depends}
- move ${xpi:Depends} to recommends.

this is a karmic extension cleanup effort i am doing after discussing with asac

Revision history for this message
John Vivirito (gnomefreak) wrote :

ok i am fixing this at this time.

Changed in ubuntu-it-menu (Ubuntu):
status: New → Triaged
assignee: nobody → John Vivirito (gnomefreak)
Revision history for this message
John Vivirito (gnomefreak) wrote :

debian/rules can not be simplified any more than it is

Revision history for this message
John Vivirito (gnomefreak) wrote :

Also added support for firefox-3.5

Revision history for this message
John Vivirito (gnomefreak) wrote :

Here is the branch i started since i couldnt find one already branched
https://code.launchpad.net/~gnomefreak/firefox-extensions/ubuntu-it-menu

Here is the PPA i pushed it to:
https://launchpad.net/~gnomefreak/+archive/ppa
It should be updated and built soon.

Revision history for this message
John Vivirito (gnomefreak) wrote :

ok i found the dev branch so im branching off that. my branch should be refreshed soon

Revision history for this message
John Vivirito (gnomefreak) wrote :

here is the debdiff

Revision history for this message
John Vivirito (gnomefreak) wrote :

new debdiff here

Revision history for this message
John Vivirito (gnomefreak) wrote :

Please ignore debdiffs

Changed in ubuntu-it-menu (Ubuntu):
assignee: John Vivirito (gnomefreak) → Andrea Veri (bluekuja)
Revision history for this message
Andrea Veri (av) wrote :

Gonna add a fix for that extra license file lintian complains about and then the package should be ready to get uploaded. Will do it tomorrow. Thanks John for your work on this.

Changed in ubuntu-it-menu (Ubuntu):
importance: Undecided → Wishlist
status: Triaged → Confirmed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-it-menu - 1.0.7.0-0ubuntu2

---------------
ubuntu-it-menu (1.0.7.0-0ubuntu2) karmic; urgency=low

  [ Andrea Veri ]
  * karmic extension's review/update: (LP: #425784)
    - see https://wiki.ubuntu.com/MozillaTeam/Karmic/ExtensionReview,
      for more informations about this.
  * debian/rules:
    - removed the extra license file using the new
      MOZ_XPI_DOCUMENTED_LICENSE_FILES feature available
      on mozilla-devscripts 0.15 package.

  [ John Vivirito ]
  * debian/control:
    - bumped mozilla-devscripts to version 0.15
    - added ${xpi:Depends} to recommends
    - removed all depends since ${xpi:Depends} handles depends for us

 -- John Vivirito <email address hidden> Tue, 08 Sep 2009 09:35:47 -0400

Changed in ubuntu-it-menu (Ubuntu):
status: Confirmed → Fix Released
Revision history for this message
Luca Falavigna (dktrkranz) wrote :
Revision history for this message
Andrea Veri (av) wrote :

Done.

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers